Package com.destroystokyo.paper.event.entity

# Class EntityTransformedEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.EntityTransformedEvent

All Implemented Interfaces:
  `Cancellable`

@Deprecated public class EntityTransformedEvent extends EntityEvent implements Cancellable
Deprecated.
Bukkit has added `EntityTransformEvent`, you should start using that
Fired when an entity transforms into another entity

If the event is cancelled, the entity will not transform

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EntityTransformedEvent.TransformedReason`
Deprecated.

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityTransformedEvent(Entity entity, Entity transformed, EntityTransformedEvent.TransformedReason reason)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static HandlerList`
`getHandlerList()`
Deprecated.
`HandlerList`
`getHandlers()`
Deprecated.
`EntityTransformedEvent.TransformedReason`
`getReason()`
Deprecated.
see `EntityTransformEvent.getTransformReason()`
`Entity`
`getTransformed()`
Deprecated.
see `EntityTransformEvent.getTransformedEntity()`
`boolean`
`isCancelled()`
Deprecated.
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Deprecated.
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityTransformedEvent

public EntityTransformedEvent(Entity entity, Entity transformed, EntityTransformedEvent.TransformedReason reason)
Deprecated.

## Method Details

### getTransformed

@Deprecated public Entity getTransformed()
Deprecated.
see `EntityTransformEvent.getTransformedEntity()`
The entity after it has transformed

Returns:
  Transformed entity

### getReason

@Deprecated public EntityTransformedEvent.TransformedReason getReason()
Deprecated.
see `EntityTransformEvent.getTransformReason()`

Returns:
  The reason for the transformation

### getHandlers

public HandlerList getHandlers()
Deprecated.

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

public static HandlerList getHandlerList()
Deprecated.

### isCancelled

public boolean isCancelled()
Deprecated.
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Deprecated.
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event